function qah(){Gfd.call(this)}
function hah(a,b,d,e){jGd.call(this,a,b,d);this.a=e}
function Hgh(a){var b;if(!a.k){b=new oah((j1i(Qde(a.a)),Ynj(Sde(a.a))));a.k=b}return a.k}
function Ggh(a){var b;if(!a.j){b=new hah(tFd(kce(a.a)),Hgh(a),Fgh(a),lMg(ede(a.a)));FFd((lce(a.a),b),CGd(lce(a.a)));a.j=b}return a.j}
function oah(){Ozf.call(this,c3b);this.a=new LAf(c3b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
q3c(4517,1013,pyj,hah);_.Ti=function(){};_.Yi=function(){this.A.Cr()};_.aj=function(){svf(this.a,this)};q3c(4520,2873,qzj,oah);_.Ch=function(){return Gzf(this)};_.zr=function(){return this.a};_.Ar=function(){return j6j};_.Er=function(){var a;a=new b_f(this.n);j1d(a,xGj,e1d(lM(r2c,ixj,264,[b1i(G0i(this.r,FAj),lM(Q1c,ixj,236,[])),b1i(G0i(this.r,AYj),lM(Q1c,ixj,236,[]))])));return a};_.Ir=function(){var a,b;b=new Brg(5);r7c(b,new n3g,VHj);a=new qah;F7c(b,b.u.b,a,new Ifd(gZj));return b};q3c(4521,678,Yxj,qah);_.nd=function(a){return a.nL()};q3c(4588,1,Xyj);_.qd=function(){bHd(this.b,Ggh(this.a.a))};var U1b=XNd(4517),W1b=XNd(4520),V1b=XNd(4521);Jzj(hp)(18);